Categories:
  - Multimedia
License: GPL-3.0-or-later
SourceCode: https://github.com/fabmazz/Timber
IssueTracker: https://github.com/fabmazz/Timber/issues

AutoName: Timber${appNameSuffix}
Description: |-
    This app has been developed by naman14 and had been removed from F-Droid
    because of non-free dependencies. This is the pure FOSS fork of the app,
    where all these non-free dependecies have been removed.

    <b>Features:</b>
    * Material design
    * Browse Songs, Albums, Artists
    * Create and edit playlists
    * 6 different now playing styles
    * Homescreen widgets
    * Browse device folders
    * Dark theme and UI customisability
    * Gestures for track switching
    * LastFM scrobble
    * Android Wear and Android Auto support
    * Playing queue in notification (Xposed)
    * Lyrics support

RepoType: git
Repo: https://github.com/fabmazz/Timber

Builds:
  - versionName: '1.6'
    versionCode: 20
    disable: https://gitlab.com/fdroid/fdroidserver/-/issues/1004
    commit: v1.6
    subdir: app
    gradle:
      - yes

  - versionName: 1.6.1
    versionCode: 21
    disable: https://gitlab.com/fdroid/fdroidserver/-/issues/1004
    commit: v1.6.1
    subdir: app
    gradle:
      - yes

  - versionName: '1.8'
    versionCode: 22
    disable: https://github.com/fabmazz/Timber/issues/14
    commit: 4001f15893d86f4bb94d50515e63e86833e8d028
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/lintOptions {/a abortOnError false' -e '/com.anjlab.android.iab/d'
        build.gradle

AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: '1.8'
CurrentVersionCode: 22
